/*
 * Copyright (C) 2002 Ben J Jackson <ben@ben.com>.  All rights reserved.
 *
 * This file is part of Instrument Trainer for Sharp Zaurus, written for
 * the Sharp Developer Challenge:  http://www.zaurus.com/dev/challenge/
 *
 * See http://www.ben.com/ for the latest version of this software.
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

//static char rcsid[] = "$Id: Airplane.h,v 1.1 2002/10/06 04:17:00 bjj Rel $";

#ifndef __AIRPLANE_H
#define __AIRPLANE_H

#include "NAV.h"
#include "SimCanvasAirplane.h"
#include "CompassInstrument.h"

class NAV;
class CompassInstrument;

class Airplane : public QObject
{
	Q_OBJECT

public:
	Airplane(QCanvas *canvas);
	int heading() const;

	enum {
		id_DG,
		id_VOR1,
		id_VOR2,
		id_ADF,
		id_RMI,
		id_max
	};
	void move(int, int);

	double x() const { return canv_ap->x(); }
	double y() const { return canv_ap->y(); }

signals:
	void changed();

protected slots:
	void updateHeading();

#define NNAV 3

public: // XXX laziness
	NAV			*navs[NNAV];
	CompassInstrument	*instruments[id_max];

private:
	SimCanvasAirplane *canv_ap;

	int hdg;
};

#endif // __AIRPLANE_H
