/*
 * Copyright (C) 2002 Ben J Jackson <ben@ben.com>.  All rights reserved.
 *
 * This file is part of Instrument Trainer for Sharp Zaurus, written for
 * the Sharp Developer Challenge:  http://www.zaurus.com/dev/challenge/
 *
 * See http://www.ben.com/ for the latest version of this software.
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

//static char rcsid[] = "$Id: CanvasRPolygon.h,v 1.1 2002/10/06 04:17:00 bjj Rel $";

#ifndef __CANVASRPOLYGON_H
#define __CANVASRPOLYGON_H

#include "SimCanvas.h"

class CanvasRPolygon : public DragCanvasItemI, public QCanvasPolygon
{
	Q_OBJECT

public:
	CanvasRPolygon(QCanvas *canvas, double angle = 0);

	static const int RTTI;
	virtual int rtti() const { return RTTI; }

	virtual void setBasePoints(QPointArray const &);
	QPointArray basePoints() const { return basepoints; }

	virtual void setAngle(double a);

protected slots:
	virtual void render();
	virtual QCanvasItem *canvasItem() const
		{ return (QCanvasItem *)this; }

private:
	QPointArray basepoints;
};

#endif // __CANVASRPOLYGON_H
