/*
 * Copyright (C) 2002 Ben J Jackson <ben@ben.com>.  All rights reserved.
 *
 * This file is part of Instrument Trainer for Sharp Zaurus, written for
 * the Sharp Developer Challenge:  http://www.zaurus.com/dev/challenge/
 *
 * See http://www.ben.com/ for the latest version of this software.
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

//static char rcsid[] = "$Id: Embed.cpp,v 1.1 2002/10/06 04:17:00 bjj Rel $";

#include <qimage.h>
#include <qpixmap.h>

#include "images.h"

const QPixmap &
embed_QPixmap(const char *name)
{
	static QDict<QPixmap> dict;

	QPixmap *p = dict.find(name);
	if (!p) {
		QByteArray ba = qembed_findData(name);
		if (! ba.isNull()) {
			p = new QPixmap(ba);
			dict.insert(name, p);
		}
	}
	if (!p) {
		static QPixmap dummy;
		return dummy;
	}
	return *p;
}

const QImage &
embed_QImage(const char *name)
{
	static QDict<QImage> dict;

	QImage *p = dict.find(name);
	if (!p) {
		QByteArray ba = qembed_findData(name);
		if (! ba.isNull()) {
			p = new QImage(ba);
			dict.insert(name, p);
		}
	}
	if (!p) {
		static QImage dummy;
		return dummy;
	}
	return *p;
}
