/*
 * Copyright (C) 2002 Ben J Jackson <ben@ben.com>.  All rights reserved.
 *
 * This file is part of Instrument Trainer for Sharp Zaurus, written for
 * the Sharp Developer Challenge:  http://www.zaurus.com/dev/challenge/
 *
 * See http://www.ben.com/ for the latest version of this software.
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

//static char rcsid[] = "$Id: NAV.h,v 1.1 2002/10/06 04:17:00 bjj Rel $";

#ifndef __NAV_H
#define __NAV_H

#include <qobject.h>
#include "Airplane.h"
#include "Navaid.h"

class Airplane;

class NAV : public QObject
{
	Q_OBJECT

public:
	NAV();

	void setAirplane(Airplane *);
	Airplane *airplane() const { return ap; }

	void setNavaid(Navaid *);
	Navaid *navaid() const { return nav; }

	enum { Off, To, From };
	int		CDIInfo(double &defl, int obs);
	int		relativeBearing();
	int		radial();
	double		dme();

	bool		isTuned() const;

signals:
	void changed();

private:
	Airplane	*ap;
	Navaid		*nav;
};

#endif // __NAV_H
