/*
 * Copyright (C) 2002 Ben J Jackson <ben@ben.com>.  All rights reserved.
 *
 * This file is part of Instrument Trainer for Sharp Zaurus, written for
 * the Sharp Developer Challenge:  http://www.zaurus.com/dev/challenge/
 *
 * See http://www.ben.com/ for the latest version of this software.
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

//static char rcsid[] = "$Id: Navaid.h,v 1.1 2002/10/06 04:17:00 bjj Rel $";

#ifndef __Navaid_H
#define __Navaid_H

#include "SimCanvas.h"
#include "CanvasRSprite.h"

class Navaid : public QObject
{
	Q_OBJECT

public:
	Navaid(QCanvas *canvas, const char *name, CanvasRSprite *);
	void move(int, int);
	double x() const { return canv_img->x(); }
	double y() const { return canv_img->y(); }
	void show();
	void hide();
	virtual void setVisible(bool);
	virtual bool isVisible();

public slots:
	void canvImgChanged();

signals:
	void	changed();

protected:
	virtual QPoint labelOffset();

	CanvasRSprite	*canv_img;
	QCanvasText	*canv_label;
};

#endif // __Navaid_H
