/*
 * Copyright (C) 2002 Ben J Jackson <ben@ben.com>.  All rights reserved.
 *
 * This file is part of Instrument Trainer for Sharp Zaurus, written for
 * the Sharp Developer Challenge:  http://www.zaurus.com/dev/challenge/
 *
 * See http://www.ben.com/ for the latest version of this software.
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

//static char rcsid[] = "$Id: VOR.cpp,v 1.1 2002/10/06 04:17:00 bjj Rel $";

#include "VOR.h"
#include "Embed.h"

static QCanvasPixmapArray *
defaultPixmapArray()
{
	static QCanvasPixmapArray *a;

	if (!a) {
		const QPixmap *p;
		QList<QPixmap> list;
		QList<QPoint> hotspots;

		p = &embed_QPixmap("images/VOR.png");
		list.append(p);
		hotspots.append(new QPoint(p->width()/2, p->height()/2));
		a = new QCanvasPixmapArray(list, hotspots);
	}
	return a;
}

VOR::VOR(QCanvas *canvas, const char *name)
	:Navaid(canvas, name, new CanvasRSprite(defaultPixmapArray(), canvas))
{
}
